Subject: [Sigtran] Help Regarding M2pa

From: "Farrukh Mahmud" <[email-masked]>
Date: Mon, 30 Dec 2002 11:08:44 +0500

Hi

i need help regarding Sigtran. Our team of Engrs had implemented SS7 stack know we are looking forward for Signalling over Ip using Sigtran. We have a dedicated link for such purpose. My question is that we had to implement M2pa Stack and SCTP only

               +----+                              +----+
       |ISUP|                              |ISUP|
       +----+                              +----+
       |MTP +                              |MTP |
       | L3 |            (NIF)             |L3  |
       +----+         +----+----+          +----+
       |MTP |         |MTP |M2UA|          |M2UA|
       |    |         |    +----+          +----+
       |L2  |         |L2  |SCTP|          |SCTP|
       |L1  |         |L1  +----+          +----+
       |    |         |    |IP  |          |IP  |
       +----+   SS7   +---------+          +----+
                        -------------------------

We dont need to strip off Mtp3 header in Signalling Gateway as well. Plz let me know what is RFC of M2pa and related internet drafts. 

Looking forward for your response
Farrukh Mahmud
[email-masked]

---

From: "S Magesh" <[email-masked]>
Date: Mon, 30 Dec 2002 11:52:26 +0530

Farrukh

As of today, the latest draft related to M2PA is draft-ieft-sigtan-m2pa-6.txt
You can download it from www.ietf.org website. (There is no RFC number for M2PA since it is in DRAFT Version)

S. Magesh

  ----- Original Message ----- 
  From: Farrukh Mahmud 
  To: [email-masked] 
  Sent: Monday, December 30, 2002 11:38 AM
  Subject: [Sigtran] Help Regarding M2pa

  Hi

                 +----+                              +----+
         |ISUP|                              |ISUP|
         +----+                              +----+
         |MTP +                              |MTP |
         | L3 |            (NIF)             |L3  |

---

From: "Farrukh Mahmud" <[email-masked]>
Date: Mon, 30 Dec 2002 11:27:20 +0500

S. Magesh

Thanks for reply. What about the scenario i described below. If you can please guide me on that case as well. Thanks again.

Farrukh Mahmud
  ----- Original Message ----- 
  From: S Magesh 
  To: Farrukh Mahmud ; [email-masked] 
  Sent: Monday, December 30, 2002 11:22 AM
  Subject: Re: [Sigtran] Help Regarding M2pa

  Farrukh

  S. Magesh

    ----- Original Message ----- 
    From: Farrukh Mahmud 
    To: [email-masked] 
    Sent: Monday, December 30, 2002 11:38 AM
    Subject: [Sigtran] Help Regarding M2pa

    Hi

                   +----+                              +----+
           |ISUP|                              |ISUP|
           +----+                              +----+
           |MTP +                              |MTP |
           | L3 |            (NIF)             |L3  |

---

From: "Farrukh Mahmud" <[email-masked]>
Date: Mon, 30 Dec 2002 11:55:39 +0500

S. Magesh

 Well i think Diagram leads confusing. What i want to do is that i had SEP which contains ISUP and all MTP's of SS7. Similarly i have the same SEP on the other end. I want to transfer SS7 over IP using the services of Sigtran. i dont want to communicate with other Application Server or MGC. our stack running on both sides only we require signalling to be transported over Ip. So i think we need SG to SG communication. Know my concerns is that i think we need M2pa Adapter and at top of this we only need to strip off MTP2 header in SG and transfer the payload to the given adapter. Is i am going right or some thing wrong in it.

                                                    SS7                                        IP                                                SS7
                                SEP<----------------------------------->SG<==================>SG<------------------------------------->SEP

Farrukh Mahmud
  ----- Original Message ----- 
  From: S Magesh 
  To: Farrukh Mahmud 
  Sent: Monday, December 30, 2002 11:37 AM
  Subject: Re: [Sigtran] Help Regarding M2pa

  Farrukh

  The Diagram you have referred in this e-mail is related to M2UA.  Whether you want to know about M2PA or M2UA. (since differences are there between M2PA and M2UA).  I think you will get a clear idea if you go through the mentioned document related to M2PA.    
    ----- Original Message ----- 
    From: Farrukh Mahmud 
    To: S Magesh 
    Cc: [email-masked] 
    Sent: Monday, December 30, 2002 11:57 AM
    Subject: Re: [Sigtran] Help Regarding M2pa

    S. Magesh

    Farrukh Mahmud
      ----- Original Message ----- 
      From: S Magesh 
      To: Farrukh Mahmud ; [email-masked] 
      Sent: Monday, December 30, 2002 11:22 AM
      Subject: Re: [Sigtran] Help Regarding M2pa

      Farrukh

      S. Magesh

        ----- Original Message ----- 
        From: Farrukh Mahmud 
        To: [email-masked] 
        Sent: Monday, December 30, 2002 11:38 AM
        Subject: [Sigtran] Help Regarding M2pa

        Hi

                       +----+                              +----+
               |ISUP|                              |ISUP|
               +----+                              +----+
               |MTP +                              |MTP |
               | L3 |            (NIF)             |L3  |

---

From: "Farrukh Mahmud" <[email-masked]>
Date: Mon, 30 Dec 2002 12:19:51 +0500

Hi,

Such scenario is also given in RFC-2719 page 14. Know i am cleared that such thing is possible but what kind of Adaptation layer we can use here is the question. I hope any one of you guys know this. Thanks

Farrukh Mahmud
  ----- Original Message ----- 
  From: Farrukh Mahmud 
  To: S Magesh 
  Cc: [email-masked] 
  Sent: Monday, December 30, 2002 11:55 AM
  Subject: Re: [Sigtran] Help Regarding M2pa

  S. Magesh

                                                      SS7                                        IP                                                SS7

  Farrukh Mahmud
    ----- Original Message ----- 
    From: S Magesh 
    To: Farrukh Mahmud 
    Sent: Monday, December 30, 2002 11:37 AM
    Subject: Re: [Sigtran] Help Regarding M2pa

    Farrukh

      ----- Original Message ----- 
      From: Farrukh Mahmud 
      To: S Magesh 
      Cc: [email-masked] 
      Sent: Monday, December 30, 2002 11:57 AM
      Subject: Re: [Sigtran] Help Regarding M2pa

      S. Magesh

      Farrukh Mahmud
        ----- Original Message ----- 
        From: S Magesh 
        To: Farrukh Mahmud ; [email-masked] 
        Sent: Monday, December 30, 2002 11:22 AM
        Subject: Re: [Sigtran] Help Regarding M2pa

        Farrukh

        S. Magesh

          ----- Original Message ----- 
          From: Farrukh Mahmud 
          To: [email-masked] 

          Hi

                         +----+                              +----+
                 |ISUP|                              |ISUP|
                 +----+                              +----+
                 |MTP +                              |MTP |
                 | L3 |            (NIF)             |L3  |

---

From: "Farrukh Mahmud" <[email-masked]>
Date: Mon, 30 Dec 2002 15:34:06 +0500

Bidulock

Mr. sharmam send me the link which is below. In that picture provides by
Hughes, they use M2pa and do SG SG Communication using IP at top of this
they also do SG to IPSP communication. Plz i am bit confused now, i hope
some one guides me from here.

Main goal is that i need to transfer SS7 Signalling from SEP to other SEP.

http://www.hssworld.com/voip/stacks/sigtran/Sigtran_M2PA/overview.htm#m2pa

Farrukh Mahmud

----- Original Message -----
From: "Brian F. G. Bidulock" <[email-masked]>
To: "Farrukh Mahmud" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, December 30, 2002 1:29 PM
Subject: Re: [Sigtran] Help Regarding M2pa

> Farrukh,
>
> M2PA (draft-ietf-sigtran-m2pa-06.txt) will not do what is illustrated
> in Figure 11 of RFC 2719 on page 14.
>
>             ******   SS7  ******    IP     ******  SS7   ******
>             *SEP *--------* SG *-----------* SG *--------*SEP *
>             ******        ******           ******        ******
>
>             +----+                                       +-----+
>             |S7UP|                                       | S7UP|
>             +----+                                       +-----+
>             |MTP3|                                       | MTP3|
>             +----+        +---------+     +---------+    +-----+
>             |MTP2|        |MTP2| SIG|     |SIG |MTP2|    | MTP2|
>             +    +        +    +----+     +----+    +    +     +
>             |    |        |    | IP |     | IP |    |    |     |
>             +----+        +----+----+     +----+----+    +-----+
>
>                       Figure 11: SG to SG Case 2
>
> M2PA requires a fully functional MTP3 above it.  What M2PA provides is
this
> (from draft-ietf-sigtran-m2pa-06.txt):
>
>             ********   IP   ********
>             * IPSP *--------* IPSP *
>             ********        ********
>
>             +------+        +------+
>             | TCAP |        | TCAP |
>             +------+        +------+
>             | SCCP |        | SCCP |
>             +------+        +------+
>             | MTP3 |        | MTP3 |
>             +------+        +------+
>             | M2PA |        | M2PA |
>             +------+        +------+
>             | SCTP |        | SCTP |
>             +------+        +------+
>             | IP   |        | IP   |
>             +------+        +------+
>
>     IP    - Internet Protocol
>     IPSP  - IP Signaling Point
>     SCTP  - Stream Control Transmission Protocol
>             (see Reference [5])
>
>          Figure 1:  M2PA Symmetrical Peer-to-Peer Architecture
>
> Or this (also from draft-ietf-sigtran-m2pa-06.txt):
>
>     ********  SS7   ***************   IP   ********
>     * SEP  *--------*     SG      *--------* IPSP *
>     ********        ***************        ********
>
>     +------+                               +------+
>     | TCAP |                               | TCAP |
>     +------+                               +------+
>     | SCCP |                               | SCCP |
>     +------+        +-------------+        +------+
>     | MTP3 |        |    MTP3     |        | MTP3 |
>     +------+        +------+------+        +------+
>     | MTP2 |        | MTP2 | M2PA |        | M2PA |
>     +------+        +------+------+        +------+
>     | MTP1 |        | MTP1 | SCTP |        | SCTP |
>     |      |        |      +------+        +------+
>     |      |        |      | IP   |        | IP   |
>     +------+        +------+------+        +------+
>
>     SEP   - SS7 Signaling Endpoint
>
>          Figure 2:  M2PA in IP Signaling Gateway
>
> There is no current SIGTRAN UA which will provide the capability
> described in Figure 11 RFC 2719.
>
> --brian
>
> Farrukh Mahmud wrote:                           (Mon, 30 Dec 2002
12:19:51)
> >
> >    Hi,
> >
> >
> >
> >    Such  scenario  is  also  given in RFC-2719 page 14. Know i am
cleared
> >    that  such  thing is possible but what kind of Adaptation layer we
can
> >    use here is the question. I hope any one of you guys know this.
Thanks
> --
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Farrukh Mahmud" <[email-masked]>
Date: Mon, 30 Dec 2002 17:12:54 +0500

Hi,

According to the link,i didnt find such things in all the drafts related to
M2pa in which we can do SG to SG communication. In the drafts it is possible
that we can do SG to IPSP communication. Thats ok but we can do SG to SG
communication using the same M2pa, reason being if we transfter primitives
of MTP3 to M2pa then we can also reverse them on other side where we have
SEP running. I think you peoples got what i am saying. Simpily a reverse
engr so how it is not possible.

Plz guide if i am wrong.Your help is worth.

Thanks
Farrukh Mahmud

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 30 Dec 2002 01:29:14 -0700

Farrukh,

            +----+                                       +-----+
            |S7UP|                                       | S7UP|
            +----+                                       +-----+
            |MTP3|                                       | MTP3|

M2PA requires a fully functional MTP3 above it.  What M2PA provides is this
(from draft-ietf-sigtran-m2pa-06.txt):

            ********   IP   ********
            * IPSP *--------* IPSP *
            ********        ********

            +------+        +------+
            | TCAP |        | TCAP |
            +------+        +------+
            | SCCP |        | SCCP |
            +------+        +------+
            | MTP3 |        | MTP3 |
            +------+        +------+
            | M2PA |        | M2PA |
            +------+        +------+
            | SCTP |        | SCTP | 
            +------+        +------+
            | IP   |        | IP   |
            +------+        +------+

    IP    - Internet Protocol

    +------+                               +------+
    | TCAP |                               | TCAP |
    +------+                               +------+
    | SCCP |                               | SCCP |

--brian

Farrukh Mahmud wrote:                           (Mon, 30 Dec 2002 12:19:51)
> 
>    Hi,
> 
> 
> 
>    Such  scenario  is  also  given in RFC-2719 page 14. Know i am cleared
>    that  such  thing is possible but what kind of Adaptation layer we can
>    use here is the question. I hope any one of you guys know this. Thanks
> 
>

---

From: "PSK Chakravarthi" <[email-masked]>
Date: Mon, 30 Dec 2002 18:50:47 +0530

Section 3.6.1 Registration Request

I am not finding Subsystem number (SSN) in the routing key parameter.
SCCP users are differentiated using subsystem numbers.  How can one
differentiate ASs handling different SSN for a point code?

thanks
Chak

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 30 Dec 2002 13:23:01 -0700

Chak,

You will see in Section 3.10.14 that the routing key can contain the
"Source Address," "Destination Address," and "Address Range" key
parameters.  Each of these addresses (Source, Destination, and Range)
may contain an SSN as described in Section 3.10.2.

--brian

PSK Chakravarthi wrote:                  (Mon, 30 Dec 2002 18:50:47)

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 30 Dec 2002 01:29:14 -0700

Farrukh,

            +----+                                       +-----+
            |S7UP|                                       | S7UP|
            +----+                                       +-----+
            |MTP3|                                       | MTP3|

            ********   IP   ********
            * IPSP *--------* IPSP *
            ********        ********

            +------+        +------+
            | TCAP |        | TCAP |
            +------+        +------+
            | SCCP |        | SCCP |
            +------+        +------+
            | MTP3 |        | MTP3 |
            +------+        +------+
            | M2PA |        | M2PA |
            +------+        +------+
            | SCTP |        | SCTP | 
            +------+        +------+
            | IP   |        | IP   |
            +------+        +------+

    IP    - Internet Protocol

    +------+                               +------+
    | TCAP |                               | TCAP |
    +------+                               +------+
    | SCCP |                               | SCCP |

--brian

---

From: "PSK Chakravarthi" <[email-masked]>
Date: Tue, 31 Dec 2002 10:14:44 +0530

Brian,

I am not finding section 3.10.14 in RFC 3332.  Which document you are
referring?

Thanks
Chak

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 30 Dec 2002 22:32:26 -0700

Chak,

draft-ietf-sigtran-sua-14.txt

M3UA does not register SCCP users.

--brian

PSK Chakravarthi wrote:                                                                (Tue, 31 Dec 2002 10:14:44)

---

From: "PSK Chakravarthi" <[email-masked]>
Date: Tue, 31 Dec 2002 14:42:47 +0530

Brian,

In that case why in M3UA RFC SSN is mentioned in many places?
As per RFC virtual database elements are examples for ASP. Unless SSN is
supported as routing key parameter how this can be possible?

thanks
Chak

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 31 Dec 2002 02:41:28 -0700

Chak,

I said that M3UA does not *_register_* SCCP users.  M3UA makes
no restrictions on what is used as a static routing key.  SSN
and TID were removed from the M3UA Routing Key parameter because
M3UA does not support SCCP or TCAP users.  To support SCCP properly
would require doing most of the things that SUA already does.

CIC is included in the M3UA Routing Key, and yet, M3UA has little
to no support for ISUP as anything but an MTP-User.  The only reason
for leaving CIC was the lack of an ISUP-UA.

There is a long thread from July/Aug 2001, which was M3UA Issue 6
at Last Call entitled:

	"M3UAv8: SSN in Routing Key and TCAP TID in example."

Concensus was to remove SSN and TID from routing (both examples
and Routing Key parameter).  It looks like it was never properly
removed from the examples.

I would propose that the M3UA IG say that

   "Although it is provided in several examples, routing keys based
    on SSN is not supported by M3UA."

--brian

PSK Chakravarthi wrote:                           (Tue, 31 Dec 2002 14:42:47)

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 31 Dec 2002 02:41:28 -0700

Chak,

--brian

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 30 Dec 2002 22:32:26 -0700

Chak,

--brian

---

From: Tolga Asveren <[email-masked]>
Date: Tue, 31 Dec 2002 11:27:46 -0800 (PST)

Brian,
--- "Brian F. G. Bidulock" <[email-masked]>
>     on SSN is not supported by M3UA."
[TOLGA]Although I agree that M3UA is not very suitable
for SSN based RKs, still such a sentence would
contradict with the statement that there is no
limit/restriction for RKs. If somebody can/want
support SSN based RKs(or something else) IMO they
should be free to do so.
> > supported as routing key parameter how this can be

__________________________________________________
Do you Yahoo!?
Yahoo! Mail Plus - Powerful. Affordable. Sign up now.
http://mailplus.yahoo.com
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 31 Dec 2002 15:01:13 -0700

Tolga,

Tolga Asveren wrote:                                                                 (Tue, 31 Dec 2002 11:27:46)
> > I said that M3UA does not *_register_* SCCP users.  M3UA makes no
> > restrictions on what is used as a static routing key.  SSN and TID were
> > removed from the M3UA Routing Key parameter because M3UA does not support
> > SCCP or TCAP users.  To support SCCP properly would require doing most of
> > the things that SUA already does.
> > 
> > CIC is included in the M3UA Routing Key, and yet, M3UA has little to no
> > support for ISUP as anything but an MTP-User.  The only reason for leaving
> > CIC was the lack of an ISUP-UA.
> > 
> > There is a long thread from July/Aug 2001, which was M3UA Issue 6 at Last
> > Call entitled:
> > 
> > Concensus was to remove SSN and TID from routing (both examples and
> > Routing Key parameter).  It looks like it was never properly removed from
> > the examples.
> > 
> >    "Although it is provided in several examples, routing keys based on SSN
> >    is not supported by M3UA."
> [TOLGA]Although I agree that M3UA is not very suitable for SSN based RKs,
> still such a sentence would contradict with the statement that there is no
> limit/restriction for RKs. If somebody can/want support SSN based RKs(or
> something else) IMO they should be free to do so.

They are also free to invent their own private protocol, and that's what
they'll be doing.

Unlimited routing keys and interoperability are at cross purposes.   It was
agreed that M3UA routing keys should stick to MTP3 information with the
possible exception of CIC for ISUP/TUP (which in some cases overlaps with SLS
anyway).

More embellishments of routing key will only result in proprietary
implementations that don't interoperate.  The IETF doesn't waste its time on
such stuff.

--brian